﻿@model SSTC.Models.MonthlyDTO
@{
    ViewBag.Title = "Drukuj Raport Miesięczny";
}
    <div>
        <h2>Raport miesięczny dla: @Model.user.FullName</h2>
        <table class="table table-bordered table-condensed table-striped">
            <tr>
                <td>Ilość przepracowanych dni:</td>
                <td>@Model.numOfWorkedDays</td>
            </tr>
            <tr>
                <td>Ilość przepracowanych godzin:</td>
                <td>@Model.numOfWorkedHours</td>
            </tr>
            <tr>
                <td>Ilość przepracowanych nadgodzin:</td>
                <td>@Model.numOfOvertime</td>
            </tr>
            <tr>
                <td>Pensja:</td>
                <td>@Model.FullSalary</td>
            </tr>
        </table>
        <h3>Lista zarejestrowanych dni</h3>
        <table class="table table-bordered table-condensed table-striped">
            <tr>
                <th>
                    <span>Nazwa projektu</span>
                </th>
                <th>
                    <span>Data</span>
                </th>
                <th>
                    <span>Liczba godzin</span>
                </th>
                <th>
                    <span>Liczba nadgodzin</span>
                </th>
            </tr>

            @foreach (var item in Model.registries)
            {
                <tr>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.Project.Name</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.RegDate</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.NumOfHours</span>
                    </td>
                    <td>
                        <span id=@("nameStatic" + item.Id)>@item.NumOfOvertime</span>
                    </td>
                </tr>
            }
        </table>
    </div>